Jak zainstalować adobe air oraz e-Deklaracje w Ubuntu 14.04LTS (64bit)

W ubuntu 13.10 usunięto z repo pakiety ia32-libs i tym samym instalacja aplikacji 32bitowych nie jest już taka trywialna. Poniżej przedstawię wam, jak doinstalować co trzeba i uruchomić najpierw środowisko Adobe Air, a później e-Deklaracje. No to lecimy!

Instalacja Adobe Air

Ponieważ pakiet ia32-libs wyleciał z repo już jakiś czas temu, musimy najpierw dodać stare repo z „raring”. W tym celu:

cd /etc/apt/sources.list.d
sudo echo "deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse" >ia32-libs-raring.list

następnie odświeżamy listę pakietów:

sudo apt-get update

i instalujemy nasze biblioteki 32bitowe…

sudo apt-get install ia32-libs

Aby zapewnić sobie dalszą bezproblemową pracę systemu pakietów w przyszłości, usuniemy teraz wpis, którego dokonaliśmy, a następnie odświeżymy listę pakietów. W tym celu:

sudo rm /etc/apt/sources.list.d/ia32-libs-raring.list
sudo apt-get update

Środowisko adobe air wymaga do poprawnego działania gnome-keyring, który powinnien być już u was zainstalowany. Niemniej jednak air szuka bibliotek nie tam. gdzie powinien. Aby to naprawić, robimy następujące dowiązania symboliczne:

sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0/usr/lib/libgnome-keyring.so.0
sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0/usr/lib/libgnome-keyring.so.0
libgnome-keyring.so.0.2.0

Teraz możemy już skupić się na instalacji… Pobieramy ostatnie wydanie Adobe Air ze stron adobe:

wget http://airdownload.adobe.com/air/lin/download/latest/AdobeAIRInstaller.bin

Następnie nadajemy ściągniętemu plikowi prawa do wykonywania i uruchamiamy instalator:

chmod +x AdobeAIRInstaller.bin
./AdobeAIRInstaller.bin

Po ukończeniu procesu instalacji możemy się już cieszyć Adobe Air w naszym systemie.

Instalacja e-Deklaracje

Ściągamy instalator ze strony ministerstwa finansów:

wget http://www.e-deklaracje.gov.pl/files/dopobrania/e-dek/app/e-DeklaracjeDesktop.air

Następnie instalujemy go przy pomocy uprzednio zainstalowanego pakietu air:

sudo /opt/Adobe\ AIR/Versions/1.0/Resources/airappinstaller ~/e-DeklaracjeDesktop.air

Po przeprowadzeniu instalacji wszystko powinno już działać poprawnie, a w menu Programy → Akcesoria powinien pojawić się nowy element o nazwie „e-Deklaracje”.

Aplikacja e-Deklaracje desktop wymaga do prawidłowego działania najnowszej wersji adobe reader. Jeśli ktoś jeszcze jej nie ma u siebie zainstalowanej, to można to nadrobić w następujący sposób:

wget http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/AdbeRdr9.5.5-1_i386linux_enu.deb
sudo dpkg -i AdbeRdr9.5.5-1_i386linux_enu.deb

I to w zasadzie tyle. Największą trudność przysparza brak bibliotek 32bitowych i instalacja już niewspieranego przez adobe środowiska air.

17 odpowiedzi na “Jak zainstalować adobe air oraz e-Deklaracje w Ubuntu 14.04LTS (64bit)”

  1. PChitty pisze:

    Thank you for your post! I needed this for Balsamiq 🙂 but it seems like symlink commands are missing destinations

    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0

    source : http://www.enqlu.com/2014/03/how-to-install-adobe-air-on-ubuntu-12-0413-0413-10-or-linux-mint-131516.html

  2. leniwiec pisze:

    @PCHITTY thank you for the comment! Library’s can have little bit different names, so it is good practice to lookup first and check before doing symlinks 🙂

  3. ry pisze:

    worked like a charm. thanks

  4. Arek pisze:

    It looks like not longer avliable:
    Err http://archive.ubuntu.com raring/main amd64 Packages
    404 Not Found [IP: 91.189.91.15 80]
    Err http://archive.ubuntu.com raring/restricted amd64 Packages
    404 Not Found [IP: 91.189.91.15 80]
    Err http://archive.ubuntu.com raring/universe amd64 Packages
    404 Not Found [IP: 91.189.91.15 80]
    Err http://archive.ubuntu.com raring/multiverse amd64 Packages
    404 Not Found [IP: 91.189.91.15 80]
    Err http://archive.ubuntu.com raring/main i386 Packages
    404 Not Found [IP: 91.189.91.15 80]
    Err http://archive.ubuntu.com raring/restricted i386 Packages
    404 Not Found [IP: 91.189.91.15 80]
    Err http://archive.ubuntu.com raring/universe i386 Packages
    404 Not Found [IP: 91.189.91.15 80]
    Err http://archive.ubuntu.com raring/multiverse i386 Packages
    404 Not Found [IP: 91.189.91.15 80]

  5. Marek pisze:

    Wszystko działa idealnie na LINUX MINT 17
    Wielki dzięki.
    Pozdrowionka

  6. nazca pisze:

    Mam problem z eDeklaracjami. Mam dzieki temu poradnikowi poprzednią wersję. Chcę się rozliczyć za 2014r. Pokazuje się komunikat o tym, że potrzebna jest aktualizacja, ściąga nową wersję, lecz nie może się zainstalować. Wyskakuje pytanie o hasło root, które podaję – komunikat :

    su: Uwierzytelnienie nie powiodło się.

    Co mogę zrobić?

  7. pawel pisze:

    Nazca – mam to samo i nie wiem co dalej

  8. pawel pisze:

    Nazca – mam to samo i nie wiem co dalej……………………

  9. Michał pisze:

    U mnie też ten problem wystąpił. Poradziłem sobie uruchamiając e-deklaracje z poziomu root usera:
    sudo /opt/e-Deklaracje/bin/e-Deklaracje
    System ubuntu 14.04

  10. Dawid pisze:

    Arek

    U mnie było podobnie na linux mint 17.2:

    ….
    Err http://archive.ubuntu.com raring/multiverse i386 Packages
    404 Not Found [IP: 91.189.91.15 80]

    Ale udało mi się zainstalować adobe-air zgodnie z tą instrukcją:

    http://ubuntuhandbook.org/index.php/2013/07/install-adobe-air-linux-mint-32-64-bit/

    jak już się zainstaluje to dalej jest prosto tylko klikasz setup_e-pity2015Linux.air i działa 🙂
    Pozdrawiam

  11. Sławek pisze:

    Mam Mint 18. Zainstalowałem Adobe Air wg http://www.noobslab.com/2015/05/adobeair-is-now-available-for-ubuntu.html
    Jednak instalacja e-Deklaracje zgłąsza błąd: Nie można zainstalować aplikacji z powodu uszkodzenia pliku instalatora. Spróbuj uzyskać nowy plik instalatora od autora aplikacji.

  12. Sławek pisze:

    Po instalacji Adobe Air a przed instalacją e-Deklaracje należy usunąć dowiązania symboliczne:
    sudo rm /usr/lib/libgnome-keyring.so.0
    sudo rm /usr/lib/libgnome-keyring.so.0.2.0

  13. nazca pisze:

    Mam zaisntalowane środowisko AdobeAir pojawia mi się komunikat:
    Nie można zainstalować aplikacji Adobe AIR. W systemie nie można odnaleźć narzędzi systemu Debian do tworzenia pakietów deb (na przykład dpkg-deb lub ar)
    proszę o pomoc

  14. nazca pisze:

    @Pawel Z poprzednim błędem poradziłem sobie przez utworzenie konta SU poleceniem sudo su

  15. Pio pisze:

    Podobnie jak ‘NAZCA’ mam problem z in stalacją pakietu e-DeklaracjeDesktop.air na ubuntu w wersji 16: po potwierdzeniu zgody licencyjnej pojawia się komunikat: “… Debian tools for creating deb packages (such as dpkg-deb or ar) were not found on the system” Nie muszę chyba nadmieniać, że dpkg w Ubuntu oczywiście jest dostępny.
    Jakieś sugestie ?

  16. Kamil pisze:

    Błąd przy aktualizacji: “Nie można zainstalować aplikacji Adobe AIR. W systemie nie można odnaleźć żadnych narzędzi do uwierzytelniania.”
    Sposób rozwiązania:
    sudo /opt/edeklaracje/e-Deklaracje/bin/e-Deklaracje
    i wybrać opcję “zainstaluj teraz”

Pozostaw odpowiedź Kamil Anuluj pisanie odpowiedzi

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *